diff --git a/lalframe/configure.ac b/lalframe/configure.ac
index 6831264032..061a08ff19 100644
--- a/lalframe/configure.ac
+++ b/lalframe/configure.ac
@@ -42,8 +42,10 @@ AM_INIT_AUTOMAKE([ \
 # version requirements
 MIN_LAL_VERSION="6.21.0"
 MIN_FRAMECPPC_VERSION="2.5.5"
+MIN_FRAMEL_VERSION="8.39.2"
 AC_SUBST([MIN_LAL_VERSION])
 AC_SUBST([MIN_FRAMECPPC_VERSION])
+AC_SUBST([MIN_FRAMEL_VERSION])
 
 AC_CANONICAL_HOST
 
@@ -147,9 +149,9 @@ AS_IF([test "${framec}" = "true"], [
 
 AS_IF([test "${framel}" = "true"], [
        FRAMEL_AVAILABLE="yes"
-       PKG_CHECK_MODULES([LIBFRAME],[libframe],[true],[false])
-       LALSUITE_ADD_FLAGS([C],[${LIBFRAME_CFLAGS}],[${LIBFRAME_LIBS}])
-       AC_CHECK_LIB([Frame],[FrLibIni],,[FRAMEL_AVAILABLE="no"])
+       PKG_CHECK_MODULES([FRAMEL],[framel],[true],[false])
+       LALSUITE_ADD_FLAGS([C],[${FRAMEL_CFLAGS}],[${FRAMEL_LIBS}])
+       AC_CHECK_LIB([framel],[FrLibIni],,[FRAMEL_AVAILABLE="no"])
        AC_CHECK_HEADERS([FrameL.h],,[FRAMEL_AVAILABLE="no"])
 ])
 
@@ -164,7 +166,7 @@ AS_IF([test "${FRAMEC_AVAILABLE}" = "yes"],
 )
 
 AS_IF([test "${FRAMEL_AVAILABLE}" = "yes"],
-      [AC_SUBST([PC_REQUIRES_FRAMEL], [", libframe"])],
+      [AC_SUBST([PC_REQUIRES_FRAMEL], [", framel"])],
       [AC_SUBST([PC_REQUIRES_FRAMEL], [""])]
 )
 
diff --git a/lalframe/lib/LALFrameU.c b/lalframe/lib/LALFrameU.c
index 8881e93727..569d46ff45 100644
--- a/lalframe/lib/LALFrameU.c
+++ b/lalframe/lib/LALFrameU.c
@@ -31,7 +31,7 @@ enum {
 };
 
 /* enable FrameL support if available */
-#if defined HAVE_FRAMEL_H && defined HAVE_LIBFRAME
+#if defined HAVE_FRAMEL_H && defined HAVE_FRAMEL
 #   include "LALFrameUFrameL.h"
 #   define CASE_FRAMEL(errval, function, ...) case LAL_FRAMEU_FRAME_LIBRARY_FRAMEL: return function ## _FrameL_ (__VA_ARGS__)
 #   ifndef LAL_FRAMEU_FRAME_LIBRARY_DEFAULT
@@ -88,7 +88,7 @@ static int XLALFrameLibrary(void)
         const char *env = getenv("LAL_FRAME_LIBRARY");
         if (env) {
             if (strcmp(env, "FrameL") == 0) {
-#if defined HAVE_FRAMEL_H && defined HAVE_LIBFRAME
+#if defined HAVE_FRAMEL_H && defined HAVE_FRAMEL
                 lalFrameLibrary = LAL_FRAMEU_FRAME_LIBRARY_FRAMEL;
 #else
                 XLAL_ERROR_VAL(LAL_FRAMEU_FRAME_LIBRARY_UNAVAILABLE, XLAL_ESYS,

